Subject: RE: [rohc] SigComp torture tests draft

From: "Surtees, Abigail" <[email-masked]>
Date: Thu, 14 Jul 2005 09:35:24 +0100

Hi All,

Following positive feedback I have added extra explanation to the rest of the tests.  Most of the tests have not changed, however, a few have.  I've also included a proposed new test.  Please can someone run the tests that have changed to check they agree with the draft (and point out my mistakes, if not ;-).  At Cristian's suggestion, I've also put the input output and cycles for each test in the Appendix.

The changes are:

2.6, 2.7, 2.15, 4.5 as below

2.16 - as a result of changes to 2.15, the state that 2.16 assumes is present is actually not there, so I've included an extra piece of bytecode to set up the state.  The test itself hasn't changed.

New 3.2 - to check for decompression failure due to cycle count when there's an infinite loop.  It has been pointed out that an implementer could be liberal in cycles checking - allowing some extra.  If this is the case, it must be ensured that use of an excessive number of cycles is trapped, so this test is an infinite loop!  

3.5 (old 3.4)
This test hasn't fundamentally changed.  There were some instructions that were never run, which was rather confusing, so I've changed them to be DECOMPRESSION-FAILURE.

The draft is available at <http://sigcomp.srmr.co.uk/~ahs/draft-ietf-rohc-sigcomp-torture-tests-01.txt>.  I'll submit it on Monday.  In the meantime all comments are appreciated.

Best regards,

Abbie

> -----Original Message-----
> From: Surtees, Abigail 
> Sent: Tuesday, July 05, 2005 3:43 PM
> To: [email-masked]
> Subject: [rohc] SigComp torture tests draft
> 
> 
> Hi All,
> 
> I've been going through the torture tests draft and adding 
> explanation to the tests.  Hopefully, it makes them easier to 
> understand.  The tests that I've updated are 2.1 - 2.7 and 
> 2.15.  What do you think?  Is the extra information helpful?  
> If so, I'll continue and propose text for the rest of the tests.
> 
> The only tests that have changed in terms of bytecode and the 
> actual test being done since version 00 of the draft are:
> 
> 2.6 and 2.7 - I've simplified and extended the tests.  2.7 
> now doesn't require any more DMS than any of the other tests. 
>  They include extra buffer wrap checking (because this wasn't 
> explicitly tested before).  Please can someone run these 
> tests and see if they agree with my output and cycle counts?
> 
> 2.15 and 4.5 as discussed and agreed in earlier emails.
> 
> I will submit the new version of the draft before the -0n 
> deadline (which is the 18th July).  If anyone has any further 
> test inputs, please propose them by next Monday 11th July.
> 
> The updated draft is available from 
> <http://sigcomp.srmr.co.uk/~ahs/draft-ietf-rohc-sigcomp-tortur
e-tests-01.txt>

All comments appreciated.

Best regards,

Abbie

Abbie Surtees
Senior Engineer
Roke Manor Research Ltd
Old Salisbury Lane
Romsey, SO51 0ZN
Tel:   +44 (0) 1794 833131

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc